Bug 176659 - squid smb_auth variable SAMBAPREFIX is wrongly set
Summary: squid smb_auth variable SAMBAPREFIX is wrongly set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-28 21:11 UTC by Christian Tosta
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-29 14:21:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Tosta 2005-12-28 21:11:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux; pt_BR) KHTML/3.5.0 (like Gecko)

Description of problem:
squid smb_auth variable SAMBAPREFIX is wrongly set to /usr/local/samba instead 
of /usr causing error when authenticating. 

Version-Release number of selected component (if applicable):
7:2.5.STABLE11-3.FC4

How reproducible:
Always

Steps to Reproduce:
1. Configure samba 
2. Configure squid with smb_auth 
3. Run /usr/lib/squid/smb_auth -U ip_address -W workgroup and test with a valid 
username and password. 
   

Additional info:

Comment 1 Christian Tosta 2005-12-28 21:13:17 UTC
Workaround: export variable SAMBAPREFIX before use smb_auth: 
 
export SAMBAPREFIX=/usr 
 
Fix: Patch squid with this patch: 
--- squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.am~      2005-12-15 
21:52:54.277125250 -0200 
+++ squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.am       2005-12-15 
21:53:42.852161000 -0200 
@@ -7,14 +7,14 @@ 
 # 
 
 # SAMBAPREFIX must point to the directory where Samba has been installed. 
-# By default, Samba is installed in /usr/local/samba. If you changed this 
+# By default, Samba is installed in /usr. If you changed this 
 # by using the --prefix option when configuring Samba, you need to change 
 # SAMBAPREFIX accordingly. 
 
 ## FIXME: autoconf should test for the samba path. 
 
 SMB_AUTH_HELPER        = smb_auth.sh 
-SAMBAPREFIX=/usr/local/samba 
+SAMBAPREFIX=/usr 
 SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER) 
 
 libexec_SCRIPTS        = $(SMB_AUTH_HELPER) 
--- squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.in~      2005-12-15 
21:53:06.489888500 -0200 
+++ squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.in       2005-12-15 
21:53:45.484325500 -0200 
@@ -22,7 +22,7 @@ 
 # 
 
 # SAMBAPREFIX must point to the directory where Samba has been installed. 
-# By default, Samba is installed in /usr/local/samba. If you changed this 
+# By default, Samba is installed in /usr. If you changed this 
 # by using the --prefix option when configuring Samba, you need to change 
 # SAMBAPREFIX accordingly. 
 
@@ -131,7 +131,7 @@ 
 makesnmplib = @makesnmplib@ 
 
 SMB_AUTH_HELPER = smb_auth.sh 
-SAMBAPREFIX = /usr/local/samba 
+SAMBAPREFIX = /usr 
 SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER) 
 
 libexec_SCRIPTS = $(SMB_AUTH_HELPER) 
 

Comment 2 Martin Stransky 2005-12-29 14:21:07 UTC
fixed in rawhide (FC5)


Note You need to log in before you can comment on or make changes to this bug.